# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

%global barename ftp

Name:               nodejs-ftp
Version:            0.3.10
Release:            6%{?dist}
Summary:            An FTP client module for node.js

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/ftp
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(xregexp)
BuildRequires:      npm(readable-stream)

%description
node-ftp is an FTP client module for node.js that provides an asynchronous
interface for communicating with an FTP server.

%prep
%setup -q -n mscdex-node-ftp-0bdc638

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep readable-stream ~2.x

%build
#%%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ftp
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/ftp

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node test/test.js
%endif


%files
%doc README.md TODO
%license LICENSE
%{nodejs_sitelib}/ftp/

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 03 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.10-1
- Update to new version
- Update to new guidelines

* Wed Jul 22 2015 Parag Nemade <pnemade AT fedoraproject DOT org> - 0.3.7-3
- fixdep npm(readable-stream)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.3.7-1
- Initial packaging for Fedora.
